Skip to main content

List data exchange transactions by account per member

Use this endpoint to list transactions belonging to a specific account under a specific member of a user of the issuing client in a data exchange context. This endpoint requires both standard Platform API authentication and a valid MX-3DX-TOKEN header.

This defaults to 90 days prior to the day of the request.

To obtain a token, use the Create Data Exchange Token endpoint.

GET
/data_exchange/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions

Path Parameters

FieldRequiredType

user_identifier

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

member_identifier

Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.

Required
String

account_identifier

Use either the account id you defined or the MX-defined account guid. See MX-Defined GUIDs vs IDs Defined by You.

Required
String

Query Parameters

FieldRequiredType

page

Results are paginated. Specify current page.

Optional
Integer

records_per_page

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Optional
Integer

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String

MX-3DX-TOKEN

A valid data exchange token. Required for all data exchange endpoints. To obtain a token, use the Create Data Exchange Token endpoint.

Required
String
Loading...